# Generated by Boost 1.81.0

if(TARGET Boost::type_erasure)
  return()
endif()

if(Boost_VERBOSE OR Boost_DEBUG)
  message(STATUS "Found boost_type_erasure ${boost_type_erasure_VERSION} at ${boost_type_erasure_DIR}")
endif()

mark_as_advanced(boost_type_erasure_DIR)

# Compute the include and library directories relative to this file.

get_filename_component(_BOOST_CMAKEDIR "${CMAKE_CURRENT_LIST_DIR}/../" REALPATH)

# If the computed and the original directories are symlink-equivalent, use original
if(EXISTS "/build/boost1.81-NEBYZG/boost1.81-1.81.0/debian/tmp/usr/lib/i386-linux-gnu/cmake")
  get_filename_component(_BOOST_CMAKEDIR_ORIGINAL "/build/boost1.81-NEBYZG/boost1.81-1.81.0/debian/tmp/usr/lib/i386-linux-gnu/cmake" REALPATH)
  if(_BOOST_CMAKEDIR STREQUAL _BOOST_CMAKEDIR_ORIGINAL)
    set(_BOOST_CMAKEDIR "/build/boost1.81-NEBYZG/boost1.81-1.81.0/debian/tmp/usr/lib/i386-linux-gnu/cmake")
  endif()
  unset(_BOOST_CMAKEDIR_ORIGINAL)
endif()

get_filename_component(_BOOST_INCLUDEDIR "${_BOOST_CMAKEDIR}/../../../include/" ABSOLUTE)
get_filename_component(_BOOST_LIBDIR "${_BOOST_CMAKEDIR}/../" ABSOLUTE)

include(${CMAKE_CURRENT_LIST_DIR}/../BoostDetectToolset-1.81.0.cmake)

if(Boost_DEBUG)
  message(STATUS "Scanning ${CMAKE_CURRENT_LIST_DIR}/libboost_type_erasure-variant*.cmake")
endif()

file(GLOB __boost_variants "${CMAKE_CURRENT_LIST_DIR}/libboost_type_erasure-variant*.cmake")

macro(_BOOST_SKIPPED fname reason)
  if(Boost_VERBOSE OR Boost_DEBUG)
    message(STATUS "  [ ] ${fname}")
  endif()
  list(APPEND __boost_skipped "${fname} (${reason})")
endmacro()

list(LENGTH __boost_variants _BOOST_SINGLE_VARIANT)
if(NOT _BOOST_SINGLE_VARIANT EQUAL 1)
  set(_BOOST_SINGLE_VARIANT 0)
endif()

foreach(f IN LISTS __boost_variants)
  if(Boost_DEBUG)
    message(STATUS "  Including ${f}")
  endif()
  include(${f})
endforeach()

unset(_BOOST_SINGLE_VARIANT)
unset(_BOOST_LIBDIR)
unset(_BOOST_INCLUDEDIR)
unset(_BOOST_CMAKEDIR)

if(NOT __boost_variants AND (Boost_VERBOSE OR Boost_DEBUG))
  message(STATUS "  Library has no variants and is considered not found")
endif()

if(NOT TARGET Boost::type_erasure)
  set(__boost_message "No suitable build variant has been found.")
  if(__boost_skipped)
    set(__boost_message "${__boost_message}\nThe following variants have been tried and rejected:")
    foreach(s IN LISTS __boost_skipped)
      set(__boost_message "${__boost_message}\n* ${s}")
    endforeach()
  endif()
  set(boost_type_erasure_FOUND 0)
  set(boost_type_erasure_NOT_FOUND_MESSAGE ${__boost_message})
  unset(__boost_message)
  unset(__boost_skipped)
  unset(__boost_variants)
  unset(_BOOST_TYPE_ERASURE_DEPS)
  return()
endif()

unset(__boost_skipped)
unset(__boost_variants)

if(_BOOST_TYPE_ERASURE_DEPS)
  list(REMOVE_DUPLICATES _BOOST_TYPE_ERASURE_DEPS)
  if(Boost_VERBOSE OR Boost_DEBUG)
    message(STATUS "Adding boost_type_erasure dependencies: ${_BOOST_TYPE_ERASURE_DEPS}")
  endif()
endif()

foreach(dep_boost_type_erasure IN LISTS _BOOST_TYPE_ERASURE_DEPS)
  set(_BOOST_QUIET)
  if(boost_type_erasure_FIND_QUIETLY)
    set(_BOOST_QUIET QUIET)
  endif()
  set(_BOOST_REQUIRED)
  if(boost_type_erasure_FIND_REQUIRED)
    set(_BOOST_REQUIRED REQUIRED)
  endif()
  get_filename_component(_BOOST_CMAKEDIR "${CMAKE_CURRENT_LIST_DIR}/../" ABSOLUTE)
  find_package(boost_${dep_boost_type_erasure} 1.81.0 EXACT CONFIG ${_BOOST_REQUIRED} ${_BOOST_QUIET} HINTS ${_BOOST_CMAKEDIR})
  set_property(TARGET Boost::type_erasure APPEND PROPERTY INTERFACE_LINK_LIBRARIES Boost::${dep_boost_type_erasure})
  unset(_BOOST_QUIET)
  unset(_BOOST_REQUIRED)
  unset(_BOOST_CMAKEDIR)
  if(NOT boost_${dep_boost_type_erasure}_FOUND)
    set(boost_type_erasure_FOUND 0)
    set(boost_type_erasure_NOT_FOUND_MESSAGE "A required dependency, boost_${dep_boost_type_erasure}, has not been found.")
    unset(_BOOST_TYPE_ERASURE_DEPS)
    return()
  endif()
endforeach()

unset(_BOOST_TYPE_ERASURE_DEPS)
